Main Page Class Hierarchy Alphabetical List Compound List Examples

Public Types | Public Member Functions | Protected Member Functions | Friends | List of all members
DateTime Struct Reference

RFC822 DateTime field representation. More...

`#include <datetime.h>`

Inheritance diagram for DateTime:

## Public Types

enum | { Jan = 1 , Feb , Mar , Apr , May , Jun , Jul , Aug , Sep , Oct , Nov , Dec }
enum | { Mon = 1 , Tue , Wed , Thu , Fri , Sat , Sun }
enum | { GMT = +000 , UT = +000 , BST = +100 , CET = +100 , MET = +100 , EET = +200 , IST = +200 , METDST = +200 , EDT = -400 , CDT = -500 , EST = -500 , CST = -600 , MDT = -600 , MST = -700 , PDT = -700 , HKT = +800 , PST = -800 , JST = +900 }

## Public Member Functions

| DateTime (const char *)
| DateTime (const std::string &)
DayOfWeek | dayOfWeek () const
short | day () const
Month | month () const
short | year () const
short | hour () const
short | minute () const
short | second () const
Zone | zone () const
std::string | str () const

## Protected Member Functions

FieldValue * | clone () const
Protected Member Functions inherited from FieldValue
bool | typeChecked () const
void | typeChecked (bool)

## Friends

std::ostream & | operator<< (std::ostream &, const DateTime &)

## Detailed Description

RFC822 DateTime field representation.

## Member Function Documentation

## ◆ clone()

FieldValue * clone | ( |  | ) | const

protected virtual

Implements FieldValue.

## ◆ str()

std::string str | ( |  | ) | const

virtual

Implements FieldValue.

The documentation for this struct was generated from the following file:

- datetime.h